Package org.apache.sling.launchpad.testservices.servlets

# Class AnonymousAccessConfigServlet

java.lang.Object
javax.servlet.GenericServlet
org.apache.sling.api.servlets.SlingSafeMethodsServlet
org.apache.sling.api.servlets.SlingAllMethodsServlet
org.apache.sling.launchpad.testservices.servlets.AnonymousAccessConfigServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `org.osgi.service.event.EventHandler`

public class AnonymousAccessConfigServlet extends org.apache.sling.api.servlets.SlingAllMethodsServlet implements org.osgi.service.event.EventHandler
Servlet which disables and enables anonymous access and ensures that the authenticator service has accepted the configuration change.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AnonymousAccessConfigServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`
`void`
`handleEvent(org.osgi.service.event.Event event)`

### Methods inherited from class org.apache.sling.api.servlets.SlingAllMethodsServlet

`doDelete, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doGet, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnonymousAccessConfigServlet

public AnonymousAccessConfigServlet()

## Method Details

### doPost

protected void doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doPost` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### handleEvent

public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`